

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.13. grn_hook &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.25.14. grn_ii" href="grn_ii.html" />
    <link rel="prev" title="7.25.12. grn_geo" href="grn_geo.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/api/grn_hook.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="grn_ii.html" title="7.25.14. grn_ii"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="grn_geo.html" title="7.25.12. grn_geo"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.13. </span><code class="docutils literal notranslate"><span class="pre">grn_hook</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-hook">
<h1><span class="section-number">7.25.13. </span><code class="docutils literal notranslate"><span class="pre">grn_hook</span></code><a class="headerlink" href="#grn-hook" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.13.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.13.2. </span>例<a class="headerlink" href="#example" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.13.3. </span>リファレンス<a class="headerlink" href="#reference" title="このヘッドラインへのパーマリンク">¶</a></h2>
<dl class="c type">
<dt id="c.grn_hook_entry">
<em class="property">type </em><code class="sig-name descname">grn_hook_entry</code><a class="headerlink" href="#c.grn_hook_entry" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>TODO...</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_add_hook">
grn_rc <code class="sig-name descname">grn_obj_add_hook</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="#c.grn_hook_entry" title="grn_hook_entry">grn_hook_entry</a> <em>entry</em>, int <em>offset</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>proc</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_add_hook" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>objに対してhookを追加します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> -- 対象objectを指定します。</p></li>
<li><p><strong>entry</strong> -- <p><code class="docutils literal notranslate"><span class="pre">GRN_HOOK_GET</span></code> は、objectの参照時に呼び出されるhookを定義します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_HOOK_SET</span></code> は、objectの更新時に呼び出されるhookを定義します。</p>
<p><code class="docutils literal notranslate"><span class="pre">GRN_HOOK_SELECT</span></code> は、検索処理の実行中に適時呼び出され、処理の実行状況を調べたり、実行の中断を指示することができます。</p>
</p></li>
<li><p><strong>offset</strong> -- <p>hookの実行順位。offsetに対応するhookの直前に新たなhookを挿入します。</p>
<p>0を指定した場合は先頭に挿入されます。-1を指定した場合は末尾に挿入されます。</p>
<p>objectに複数のhookが定義されている場合は順位の順に呼び出されます。</p>
</p></li>
<li><p><strong>proc</strong> -- 手続きを指定します。</p></li>
<li><p><strong>data</strong> -- hook固有情報を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_get_nhooks">
int <code class="sig-name descname">grn_obj_get_nhooks</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="#c.grn_hook_entry" title="grn_hook_entry">grn_hook_entry</a> <em>entry</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_get_nhooks" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>objに定義されているhookの数を返します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> -- 対象objectを指定します。</p></li>
<li><p><strong>entry</strong> -- hookタイプを指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_get_hook">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_obj_get_hook</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="#c.grn_hook_entry" title="grn_hook_entry">grn_hook_entry</a> <em>entry</em>, int <em>offset</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>data</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_get_hook" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>objに定義されているhookの手続き（proc）を返します。hook固有情報が定義されている場合は、その内容をdataにコピーして返します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> -- 対象objectを指定します。</p></li>
<li><p><strong>entry</strong> -- hookタイプを指定します。</p></li>
<li><p><strong>offset</strong> -- 実行順位を指定します。</p></li>
<li><p><strong>data</strong> -- hook固有情報格納バッファを指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_obj_delete_hook">
grn_rc <code class="sig-name descname">grn_obj_delete_hook</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>obj</em>, <a class="reference internal" href="#c.grn_hook_entry" title="grn_hook_entry">grn_hook_entry</a> <em>entry</em>, int <em>offset</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_obj_delete_hook" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>objに定義されているhookを削除します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>obj</strong> -- 対象objectを指定します。</p></li>
<li><p><strong>entry</strong> -- hookタイプを指定します。</p></li>
<li><p><strong>offset</strong> -- 実行順位を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.13. <code class="docutils literal notranslate"><span class="pre">grn_hook</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.13.1. 概要</a></li>
<li><a class="reference internal" href="#example">7.25.13.2. 例</a></li>
<li><a class="reference internal" href="#reference">7.25.13.3. リファレンス</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="grn_geo.html"
                        title="前の章へ"><span class="section-number">7.25.12. </span><code class="docutils literal notranslate"><span class="pre">grn_geo</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="grn_ii.html"
                        title="次の章へ"><span class="section-number">7.25.14. </span><code class="docutils literal notranslate"><span class="pre">grn_ii</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="grn_ii.html" title="7.25.14. grn_ii"
             >次へ</a> |</li>
        <li class="right" >
          <a href="grn_geo.html" title="7.25.12. grn_geo"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.13. </span><code class="docutils literal notranslate"><span class="pre">grn_hook</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>